Subject: bug#25548: 25.1; Wrong Emacs version for Emacs 25.1.2 (?)

From: Drew Adams <[email-masked]>
Date: Thu, 26 Jan 2017 13:00:25 -0800 (PST)

(To be sure, I've downloaded the zip file twice now, and extracted it.)

I got it from here: http://gnu.mirrors.pair.com/gnu/emacs/windows/

This is the zip file I picked up:

emacs-25.1-2-x86_64-w64-mingw32.zip     29-Nov-2016 14:12   91M

But when I open Emacs and use M-x emacs-version it tells me that it is
Emacs 21.1.1.  And you can see that below, as well.

What gives?  Is this correct or a bug?  How are users supposed to
understand the version numbering - is this 25.1.1 or 25.1.2 or something
else?

And if this is not 25.1.2, where can users get 25.1.2?

In GNU Emacs 25.1.1 (x86_64-w64-mingw32)
 of 2016-11-15
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --without-dbus --without-compress-install 'CFLAGS=-O2
 -static -g3''